<?xml version="1.0" encoding="UTF-8"?>
<web-app version="3.0" xmlns="http://java.sun.com/xml/ns/javaee"
         xmlns:j2ee="http://java.sun.com/xml/ns/javaee"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://java.sun.com/xml/ns/javaee http://java.sun.com/xml/ns/javaee/web-app_3_0.xsd"
         metadata-complete="true">
    <description>Magnolia</description>
    <display-name>magnolia</display-name>
    <distributable />
    <filter>
        <display-name>Magnolia global filters</display-name>
        <filter-name>magnoliaFilterChain</filter-name>
        <filter-class>info.magnolia.cms.filters.MgnlMainFilter</filter-class>
        <async-supported>true</async-supported>
    </filter>
    <filter-mapping>
        <filter-name>magnoliaFilterChain</filter-name>
        <url-pattern>/*</url-pattern>
        <dispatcher>REQUEST</dispatcher>
        <dispatcher>FORWARD</dispatcher>
        <dispatcher>INCLUDE</dispatcher>
        <dispatcher>ERROR</dispatcher>
    </filter-mapping>
    <listener>
        <listener-class>info.magnolia.init.MagnoliaServletContextListener</listener-class>
    </listener>
    <context-param>
        <description>Vaadin production mode</description>
        <param-name>productionMode</param-name>
        <param-value>true</param-value>
    </context-param>
    <context-param>
        <param-name>heartbeatInterval</param-name>
        <param-value>90</param-value>
    </context-param>
    <!-- These are the default paths searched for magnolia configuration. Uncomment if you need to customize these.
      Your container might also do its own variables substitution here. Tomcat, for instance, allows you to use
      system properties, such as ${user.home}. bla bla bla
    -->
    <context-param>
        <param-name>magnolia.initialization.file</param-name>
        <param-value>
            /opt/etc/migrosbank/magnolia.properties,
            WEB-INF/config/default/magnolia.properties
        </param-value>
    </context-param>
    <context-param>
        <param-name>org.atmosphere.cpr.AtmosphereConfig.getInitParameter</param-name>
        <param-value>true</param-value>
    </context-param>
    <context-param>
        <param-name>org.atmosphere.websocket.suppressJSR356</param-name>
        <param-value>true</param-value>
    </context-param>
    <error-page>
        <error-code>404</error-code>
        <location>/error404.html</location>
    </error-page>
</web-app>
